
Price Monitoring - Bug #1695

if the defined item is linked to a provider, it's not deleted from the table when the user clicks the

delete action 

08/28/2019 02:06 PM - Israa Naser

Status: Closed Start date: 08/27/2019

Priority: Normal Due date:  

Assignee: Israa Naser % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Co-Workers: Abed Abuhalawa Actual Result: meanwhile it's still present in the linked

items table 

Severity: Normal Environment: QA

Category: Price monitoring module Transaction Number:  

Sub-Category: Manage Defined Items Screen - ادارة

السلع المعرفة

Browser: Chrome

Step_Description:  URL:  

Pre_Conditions:  Test Case ID:  

Expected Result: the item is expected to be deleted, and

removed from the table 

  

Description

if the defined item is linked to a provider, it's not deleted from the table when the user clicks the delete action

Steps to duplicate:

1- create a new defined item and link it to a COOP item,

2- create a new provider and add the coop item to it

3- go back to the defined items screen and try to delete the linked item

4- check that the delete warning is displayed, and click Ok to delete

5- check the linked items table

the item is expected to be deleted, and removed from the table

meanwhile it's still present in the linked items table

Related issues:

Related to Task #1460: Manage Defined Items Screen - ادارة السلع المعرفة Closed 07/16/2019

Related to Bug #1829: the entire row of the mapped item should be deleted fro... Closed 09/18/2019

History

#1 - 08/28/2019 02:07 PM - Israa Naser

- Related to Task #1460: Manage Defined Items Screen - ادارة السلع المعرفة added

#2 - 09/12/2019 12:46 PM - Abed Abuhalawa

- Status changed from Open to Fixed

- Assignee changed from Abed Abuhalawa to Israa Naser

based on your test steps, its work fine

#3 - 09/18/2019 10:11 AM - Israa Naser

- Duplicated by Bug #1829: the entire row of the mapped item should be deleted from the intersection table when the user un-links the mapped item

from the defined item added

#4 - 09/18/2019 10:12 AM - Israa Naser
- Status changed from Fixed to Closed

Closed as rejected feedback, the root cause turned out to be something different

reported the root cause issue in Bug #1829

#5 - 09/18/2019 10:13 AM - Israa Naser

- Duplicated by deleted (Bug #1829: the entire row of the mapped item should be deleted from the intersection table when the user un-links the

mapped item from the defined item)

#6 - 09/18/2019 10:13 AM - Israa Naser

- Related to Bug #1829: the entire row of the mapped item should be deleted from the intersection table when the user un-links the mapped item from

the defined item added
